<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
    <!-- Generated by javadoc -->
    <title>MovieShape (POI API Documentation)</title>
    <link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
    <script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="MovieShape (POI API Documentation)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";

</script>
<noscript>
    <div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.top.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/MovieShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/HSLFMetroShape.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/model/Polygon.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/MovieShape.html" target="_top">Frames</a></li>
        <li><a href="MovieShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_top">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.top">
        <!--   -->
    </a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
    <div class="subTitle">org.apache.poi.hslf.model</div>
    <h2 title="Class MovieShape" class="title">Class MovieShape</h2>
</div>
<div class="contentContainer">
    <ul class="inheritance">
        <li>java.lang.Object</li>
        <li>
            <ul class="inheritance">
                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFShape</a></li>
                <li>
                    <ul class="inheritance">
                        <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                               title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFSimpleShape</a>
                        </li>
                        <li>
                            <ul class="inheritance">
                                <li><a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                       title="class in org.apache.poi.hslf.usermodel">org.apache.poi.hslf.usermodel.HSLFPictureShape</a>
                                </li>
                                <li>
                                    <ul class="inheritance">
                                        <li>org.apache.poi.hslf.model.MovieShape</li>
                                    </ul>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </li>
            </ul>
        </li>
    </ul>
    <div class="description">
        <ul class="blockList">
            <li class="blockList">
                <dl>
                    <dt>All Implemented Interfaces:</dt>
                    <dd><a href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                           title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a>, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PictureShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PictureShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                            title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                            title="interface in org.apache.poi.sl.usermodel">Shape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;, <a
                            href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                            title="interface in org.apache.poi.sl.usermodel">SimpleShape</a>&lt;<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;
                    </dd>
                </dl>
                <hr>
                <br>
                <pre>public final class <span class="typeNameLabel">MovieShape</span>
extends <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
           title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></pre>
                <div class="block">Represents a movie in a PowerPoint document.</div>
                <dl>
                    <dt><span class="simpleTagLabel">Author:</span></dt>
                    <dd>Yegor Kozlov</dd>
                </dl>
            </li>
        </ul>
    </div>
    <div class="summary">
        <ul class="blockList">
            <li class="blockList">
                <!-- =========== FIELD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.summary">
                        <!--   -->
                    </a>
                        <h3>Field Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Field Summary table, listing fields, and an explanation">
                            <caption><span>Fields</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Field and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#DEFAULT_MOVIE_THUMBNAIL">DEFAULT_MOVIE_THUMBNAIL</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#MOVIE_AVI">MOVIE_AVI</a></span></code>&nbsp;
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colFirst"><code>static int</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#MOVIE_MPEG">MOVIE_MPEG</a></span></code>&nbsp;
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="fields.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Fields inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#Z:Z_hyperlink">_hyperlink</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#DEFAULT_LINE_WIDTH">DEFAULT_LINE_WIDTH</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ======== CONSTRUCTOR SUMMARY ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.summary">
                        <!--   -->
                    </a>
                        <h3>Constructor Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Constructor Summary table, listing constructors, and an explanation">
                            <caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
                            <tr>
                                <th class="colOne" scope="col">Constructor and Description</th>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                    <div class="block">Create a <code>Picture</code> object</div>
                                </td>
                            </tr>
                            <tr class="rowColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-">MovieShape</a></span>(int&nbsp;movieIdx,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                       title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData)</code>
                                    <div class="block">Create a new <code>Picture</code></div>
                                </td>
                            </tr>
                            <tr class="altColor">
                                <td class="colOne"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">MovieShape</a></span>(int&nbsp;movieIdx,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                                       title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                                       title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</code>
                                    <div class="block">Create a new <code>Picture</code></div>
                                </td>
                            </tr>
                        </table>
                    </li>
                </ul>
                <!-- ========== METHOD SUMMARY =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.summary">
                        <!--   -->
                    </a>
                        <h3>Method Summary</h3>
                        <table class="memberSummary" border="0" cellpadding="3" cellspacing="0"
                               summary="Method Summary table, listing methods, and an explanation">
                            <caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span
                                    id="t2" class="tableTab"><span><a
                                    href="javascript:show(2);">Instance Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a
                                    href="javascript:show(8);">Concrete Methods</a></span><span
                                    class="tabEnd">&nbsp;</span></span></caption>
                            <tr>
                                <th class="colFirst" scope="col">Modifier and Type</th>
                                <th class="colLast" scope="col">Method and Description</th>
                            </tr>
                            <tr id="i0" class="altColor">
                                <td class="colFirst"><code>protected <a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a></code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#createSpContainer-int-boolean-">createSpContainer</a></span>(int&nbsp;idx,
                                    boolean&nbsp;isChild)</code>
                                    <div class="block">Create a new Placeholder and initialize internal structures</div>
                                </td>
                            </tr>
                            <tr id="i1" class="rowColor">
                                <td class="colFirst"><code>java.lang.String</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#getPath--">getPath</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i2" class="altColor">
                                <td class="colFirst"><code>boolean</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#isAutoPlay--">isAutoPlay</a></span>()</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i3" class="rowColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#setAutoPlay-boolean-">setAutoPlay</a></span>(boolean&nbsp;flag)</code>&nbsp;
                                </td>
                            </tr>
                            <tr id="i4" class="altColor">
                                <td class="colFirst"><code>void</code></td>
                                <td class="colLast"><code><span class="memberNameLink"><a
                                        href="../../../../../org/apache/poi/hslf/model/MovieShape.html#setMovieIndex-int-">setMovieIndex</a></span>(int&nbsp;idx)</code>
                                    <div class="block">Assign a movie to this shape</div>
                                </td>
                            </tr>
                        </table>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFPictureShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#afterInsert-org.apache.poi.hslf.usermodel.HSLFSheet-">afterInsert</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getClipping--">getClipping</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getEscherBSERecord--">getEscherBSERecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getPictureData--">getPictureData</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getPictureIndex--">getPictureIndex</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getPictureName--">getPictureName</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#getShapeType--">getShapeType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#setPictureName-java.lang.String-">setPictureName</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFSimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFSimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#createHyperlink--">createHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#createSpContainer-boolean-">createSpContainer</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getGeometry--">getGeometry</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineBackgroundColor--">getLineBackgroundColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineCap--">getLineCap</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineColor--">getLineColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineCompound--">getLineCompound</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineDash--">getLineDash</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineDecoration--">getLineDecoration</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineHeadDecoration--">getLineHeadDecoration</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineHeadLength--">getLineHeadLength</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineHeadWidth--">getLineHeadWidth</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineTailDecoration--">getLineTailDecoration</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineTailLength--">getLineTailLength</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineTailWidth--">getLineTailWidth</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getLineWidth--">getLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getShadow--">getShadow</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getShadowAngle--">getShadowAngle</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getShadowColor--">getShadowColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getShadowDistance--">getShadowDistance</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#getStrokeStyle--">getStrokeStyle</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setFillColor-java.awt.Color-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setHyperlink-org.apache.poi.hslf.usermodel.HSLFHyperlink-">setHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineBackgroundColor-java.awt.Color-">setLineBackgroundColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineCap-org.apache.poi.sl.usermodel.StrokeStyle.LineCap-">setLineCap</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineColor-java.awt.Color-">setLineColor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineCompound-org.apache.poi.sl.usermodel.StrokeStyle.LineCompound-">setLineCompound</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineDash-org.apache.poi.sl.usermodel.StrokeStyle.LineDash-">setLineDash</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineHeadDecoration-org.apache.poi.sl.usermodel.LineDecoration.DecorationShape-">setLineHeadDecoration</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineHeadLength-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineHeadLength</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineHeadWidth-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineHeadWidth</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineTailDecoration-org.apache.poi.sl.usermodel.LineDecoration.DecorationShape-">setLineTailDecoration</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineTailLength-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineTailLength</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineTailWidth-org.apache.poi.sl.usermodel.LineDecoration.DecorationSize-">setLineTailWidth</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setLineWidth-double-">setLineWidth</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSimpleShape.html#setStrokeStyle-java.lang.Object...-">setStrokeStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.hslf.usermodel.HSLFShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;org.apache.poi.hslf.usermodel.<a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                        title="class in org.apache.poi.hslf.usermodel">HSLFShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getClientData-boolean-">getClientData</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getClientDataRecord-int-">getClientDataRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getClientRecords--">getClientRecords</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.ddf.EscherContainerRecord-int-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.hslf.record.RecordTypes-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-int-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherChild-org.apache.poi.hslf.record.RecordTypes-">getEscherChild</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherOptRecord--">getEscherOptRecord</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-org.apache.poi.ddf.AbstractEscherOptRecord-int-">getEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-short-">getEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getEscherProperty-short-int-">getEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFill--">getFill</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#getSpContainer--">getSpContainer</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#moveTo-double-double-">moveTo</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setEscherProperty-org.apache.poi.ddf.AbstractEscherOptRecord-short-int-">setEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setEscherProperty-short-int-">setEscherProperty</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setRotation-double-">setRotation</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setShapeId-int-">setShapeId</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html#setSheet-org.apache.poi.hslf.usermodel.HSLFSheet-">setSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from class&nbsp;java.lang.Object</h3>
                                <code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait,
                                    wait, wait</code></li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.SimpleShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">SimpleShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#createHyperlink--">createHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillColor--">getFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getFillStyle--">getFillStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getGeometry--">getGeometry</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getHyperlink--">getHyperlink</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getLineDecoration--">getLineDecoration</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholder--">getPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getPlaceholderDetails--">getPlaceholderDetails</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getShadow--">getShadow</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#getStrokeStyle--">getStrokeStyle</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#isPlaceholder--">isPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setFillColor-java.awt.Color-">setFillColor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setPlaceholder-org.apache.poi.sl.usermodel.Placeholder-">setPlaceholder</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setShapeType-org.apache.poi.sl.usermodel.ShapeType-">setShapeType</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/SimpleShape.html#setStrokeStyle-java.lang.Object...-">setStrokeStyle</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.Shape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html"
                                        title="interface in org.apache.poi.sl.usermodel">Shape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/Shape.html#draw-java.awt.Graphics2D-java.awt.geom.Rectangle2D-">draw</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeId--">getShapeId</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getShapeName--">getShapeName</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/Shape.html#getSheet--">getSheet</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.draw.geom.IAdjustableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.draw.geom.<a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html"
                                        title="interface in org.apache.poi.sl.draw.geom">IAdjustableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/draw/geom/IAdjustableShape.html#getAdjustValue-java.lang.String-">getAdjustValue</a></code>
                            </li>
                        </ul>
                        <ul class="blockList">
                            <li class="blockList"><a
                                    name="methods.inherited.from.class.org.apache.poi.sl.usermodel.PlaceableShape">
                                <!--   -->
                            </a>
                                <h3>Methods inherited from interface&nbsp;org.apache.poi.sl.usermodel.<a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html"
                                        title="interface in org.apache.poi.sl.usermodel">PlaceableShape</a></h3>
                                <code><a
                                        href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getAnchor--">getAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipHorizontal--">getFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getFlipVertical--">getFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getParent--">getParent</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getRotation--">getRotation</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#getSheet--">getSheet</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setAnchor-java.awt.geom.Rectangle2D-">setAnchor</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipHorizontal-boolean-">setFlipHorizontal</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setFlipVertical-boolean-">setFlipVertical</a>,
                                    <a href="../../../../../org/apache/poi/sl/usermodel/PlaceableShape.html#setRotation-double-">setRotation</a></code>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
    <div class="details">
        <ul class="blockList">
            <li class="blockList">
                <!-- ============ FIELD DETAIL =========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="field.detail">
                        <!--   -->
                    </a>
                        <h3>Field Detail</h3>
                        <a name="DEFAULT_MOVIE_THUMBNAIL">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>DEFAULT_MOVIE_THUMBNAIL</h4>
                                <pre>public static final&nbsp;int DEFAULT_MOVIE_THUMBNAIL</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.model.MovieShape.DEFAULT_MOVIE_THUMBNAIL">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MOVIE_MPEG">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MOVIE_MPEG</h4>
                                <pre>public static final&nbsp;int MOVIE_MPEG</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.model.MovieShape.MOVIE_MPEG">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MOVIE_AVI">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MOVIE_AVI</h4>
                                <pre>public static final&nbsp;int MOVIE_AVI</pre>
                                <dl>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../constant-values.html#org.apache.poi.hslf.model.MovieShape.MOVIE_AVI">Constant
                                            Field Values</a></dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ========= CONSTRUCTOR DETAIL ======== -->
                <ul class="blockList">
                    <li class="blockList"><a name="constructor.detail">
                        <!--   -->
                    </a>
                        <h3>Constructor Detail</h3>
                        <a name="MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MovieShape</h4>
                                <pre>public&nbsp;MovieShape(int&nbsp;movieIdx,
                  <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                     title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData)</pre>
                                <div class="block">Create a new <code>Picture</code></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - the picture data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MovieShape-int-org.apache.poi.hslf.usermodel.HSLFPictureData-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>MovieShape</h4>
                                <pre>public&nbsp;MovieShape(int&nbsp;movieIdx,
                  <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureData.html"
                     title="class in org.apache.poi.hslf.usermodel">HSLFPictureData</a>&nbsp;pictureData,
                  <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                     title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                                <div class="block">Create a new <code>Picture</code></div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>pictureData</code> - the picture data</dd>
                                    <dd><code>parent</code> - the parent shape</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="MovieShape-org.apache.poi.ddf.EscherContainerRecord-org.apache.poi.sl.usermodel.ShapeContainer-">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>MovieShape</h4>
                                <pre>public&nbsp;MovieShape(<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;escherRecord,
                  <a href="../../../../../org/apache/poi/sl/usermodel/ShapeContainer.html"
                     title="interface in org.apache.poi.sl.usermodel">ShapeContainer</a>&lt;<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFShape.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFShape</a>,<a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFTextParagraph.html"
                                            title="class in org.apache.poi.hslf.usermodel">HSLFTextParagraph</a>&gt;&nbsp;parent)</pre>
                                <div class="block">Create a <code>Picture</code> object</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>escherRecord</code> - the <code>EscherSpContainer</code> record which
                                        holds information about
                                        this picture in the <code>Slide</code></dd>
                                    <dd><code>parent</code> - the parent shape of this picture</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
                <!-- ============ METHOD DETAIL ========== -->
                <ul class="blockList">
                    <li class="blockList"><a name="method.detail">
                        <!--   -->
                    </a>
                        <h3>Method Detail</h3>
                        <a name="createSpContainer-int-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>createSpContainer</h4>
                                <pre>protected&nbsp;<a
                                        href="../../../../../org/apache/poi/ddf/EscherContainerRecord.html"
                                        title="class in org.apache.poi.ddf">EscherContainerRecord</a>&nbsp;createSpContainer(int&nbsp;idx,
                                                  boolean&nbsp;isChild)</pre>
                                <div class="block">Create a new Placeholder and initialize internal structures</div>
                                <dl>
                                    <dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
                                    <dd><code><a
                                            href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html#createSpContainer-int-boolean-">createSpContainer</a></code>&nbsp;in
                                        class&nbsp;<code><a
                                                href="../../../../../org/apache/poi/hslf/usermodel/HSLFPictureShape.html"
                                                title="class in org.apache.poi.hslf.usermodel">HSLFPictureShape</a></code>
                                    </dd>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - the index of the picture which refers to
                                        <code>EscherBSE</code> container.
                                    </dd>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>the created <code>EscherContainerRecord</code> which holds shape data</dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setMovieIndex-int-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setMovieIndex</h4>
                                <pre>public&nbsp;void&nbsp;setMovieIndex(int&nbsp;idx)</pre>
                                <div class="block">Assign a movie to this shape</div>
                                <dl>
                                    <dt><span class="paramLabel">Parameters:</span></dt>
                                    <dd><code>idx</code> - the index of the movie</dd>
                                    <dt><span class="seeLabel">See Also:</span></dt>
                                    <dd>
                                        <a href="../../../../../org/apache/poi/hslf/usermodel/HSLFSlideShow.html#addMovie-java.lang.String-int-"><code>HSLFSlideShow.addMovie(String,
                                            int)</code></a></dd>
                                </dl>
                            </li>
                        </ul>
                        <a name="setAutoPlay-boolean-">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>setAutoPlay</h4>
                                <pre>public&nbsp;void&nbsp;setAutoPlay(boolean&nbsp;flag)</pre>
                            </li>
                        </ul>
                        <a name="isAutoPlay--">
                            <!--   -->
                        </a>
                        <ul class="blockList">
                            <li class="blockList">
                                <h4>isAutoPlay</h4>
                                <pre>public&nbsp;boolean&nbsp;isAutoPlay()</pre>
                            </li>
                        </ul>
                        <a name="getPath--">
                            <!--   -->
                        </a>
                        <ul class="blockListLast">
                            <li class="blockList">
                                <h4>getPath</h4>
                                <pre>public&nbsp;java.lang.String&nbsp;getPath()</pre>
                                <dl>
                                    <dt><span class="returnLabel">Returns:</span></dt>
                                    <dd>UNC or local path to a video file</dd>
                                </dl>
                            </li>
                        </ul>
                    </li>
                </ul>
            </li>
        </ul>
    </div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
    <!--   -->
</a>
    <div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
    <a name="navbar.bottom.firstrow">
        <!--   -->
    </a>
    <ul class="navList" title="Navigation">
        <li><a href="../../../../../overview-summary.html">Overview</a></li>
        <li><a href="package-summary.html">Package</a></li>
        <li class="navBarCell1Rev">Class</li>
        <li><a href="class-use/MovieShape.html">Use</a></li>
        <li><a href="package-tree.html">Tree</a></li>
        <li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
        <li><a href="../../../../../index-all.html">Index</a></li>
        <li><a href="../../../../../help-doc.html">Help</a></li>
    </ul>
</div>
<div class="subNav">
    <ul class="navList">
        <li><a href="../../../../../org/apache/poi/hslf/model/HSLFMetroShape.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
        <li><a href="../../../../../org/apache/poi/hslf/model/Polygon.html"
               title="class in org.apache.poi.hslf.model"><span class="typeNameLink">Next&nbsp;Class</span></a></li>
    </ul>
    <ul class="navList">
        <li><a href="../../../../../index.html?org/apache/poi/hslf/model/MovieShape.html" target="_top">Frames</a></li>
        <li><a href="MovieShape.html" target="_top">No&nbsp;Frames</a></li>
    </ul>
    <ul class="navList" id="allclasses_navbar_bottom">
        <li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
    </ul>
    <div>
        <script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->

        </script>
    </div>
    <div>
        <ul class="subNavList">
            <li>Summary:&nbsp;</li>
            <li>Nested&nbsp;|&nbsp;</li>
            <li><a href="#field.summary">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.summary">Method</a></li>
        </ul>
        <ul class="subNavList">
            <li>Detail:&nbsp;</li>
            <li><a href="#field.detail">Field</a>&nbsp;|&nbsp;</li>
            <li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
            <li><a href="#method.detail">Method</a></li>
        </ul>
    </div>
    <a name="skip.navbar.bottom">
        <!--   -->
    </a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy">
    <small>
        <i>Copyright 2018 The Apache Software Foundation or
            its licensors, as applicable.</i>
    </small>
</p>
</body>
</html>
